Skip to main content
POST
Replace a managed node pool with a new size

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-ankra-organisation-id
string

PAT organisation override.

Path Parameters

provider
enum<string>
required
Available options:
doks,
uks,
gke,
ovh_mks,
aks,
eks,
kapsule,
ankracloud_k8s
Example:

"kapsule"

cluster_id
string<uuid>
required
node_pool_name
string
required

Body

application/json
size
string
required
Minimum string length: 1

Response

Replacement accepted

operation_id
string<uuid>
required

The platform operation that creates the replacement pool, waits for it to be ready and deletes the replaced one; poll it for the outcome.

cluster_id
string<uuid>
required
new_size
string
required
node_pool_name
string
required
old_size
string
required
replacement_pool_name
string
required